Subject: Re: How to support scc-enet on MPC8247 in Linux 2.6.32.6

From: Scott Wood <[email-masked]>
Date: Thu, 22 Apr 2010 12:11:38 -0500

Peter Pan wrote:
> I'm porting Linux 2.6.32.6 to our MPC8247 based board. We use SCC3 and
> SCC4 as ethernet port. These two ports are connect with LXT905 PHY
> chip.
> I'm now using fs_enet driver, how should I config the scc port in dtc
> file. I copied from mgcoge.dts file, and my dtc file of scc enet is
> follows:
> 
>             eth2: ethernet@11a40 {
>                 device_type = "network";
>                 compatible = "fsl,mpc8247-scc-enet",
>                              "fsl,cpm2-scc-enet";
>                 reg = <0x11a40 0x20 0x8200 0x100 0x11390 0x1>;
>                 local-mac-address = [ 00 00 00 00 00 00 ]; /* filled
> by U-Boot */
>                 interrupts = <42 8>;
>                 interrupt-parent = <&PIC>;
>                 linux,network-index = <0x2>;
>                 fsl,cpm-command = <0x8c00000>;
>                 fixed-link = < 0 0 10 0 0 >;
>             };
> But i does not working. Linux says that PHY 0:00 is not found. I dive
> into the code, and that's according to the fixed-link property.
> I'm wondering how to support scc-enet in my situation.

Do you really want fixed-link, or does the board have a working MDIO 
interface?  If the latter, you need a phy-handle property instead, 
pointing to a PHY node under an MDIO bus node that represents how MDIO 
is wired on your board.

-Scott